<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

/**
 * Modular Extensions - HMVC
 * Adapted from wiredesignz codeigniter-modular-extensions-hmvc 5.5
 */
#[\AllowDynamicProperties]
class MX_Model extends CI_Model
{
	public function __construct()
	{
		parent::__construct();
	}

	public function __get($class)
	{
		return CI::$APP->$class;
	}
}
